Feedback

/Visual Studio 2015 System Requirements
Visual Studio 2015 Support | Visual Studio 2018-01-10T08:22:01+00:00

Visual Studio 2015 FAQ

Back to Support
Support

How can we help?

Visual Studio 2015 System Requirements

Visual Studio provides cutting-edge tools and technologies to create apps that take advantage of the latest platform's capabilities. Visual Studio 2015 also targets earlier platforms such as Windows 7 so you can create new apps or modernize existing apps that execute on earlier versions of Windows while leveraging the enhanced tools for quality development and team collaboration in Visual Studio 2015. Individual system requirements may vary due to the various framework requirements however minimal system requirements are:

Supported operating systems

  • Windows 7 Service Pack 1 and newer
  • Windows Server 2008 R2 SP1 and newer

For Windows Store and Windows Universal app development

  • Windows 8.1 and Windows Phone 8.1 and development require Windows 8.1 Update or later.
  • Windows Phone 8.0 development requires Windows 8.1 Update (x64) or later.
For emulator support (Windows or Android), Windows 8.1 (x64) Professional edition or later or Windows 10 Pro or Enterprise (x64) editions are required. A processor that supports Client Hyper-V and Second Level Address Translation (SLAT) is also required. For more information, please visit: Visual Studio System Requirements.
Back to Support